package io.gitlab.jfronny.libjf;

import io.gitlab.jfronny.libjf.config.Entry;
import io.gitlab.jfronny.libjf.config.EntryInfo;
import io.gitlab.jfronny.libjf.config.JfConfig;
import net.minecraft.text.LiteralText;
import net.minecraft.text.Text;

import java.util.Collections;
import java.util.List;

/*from https://github.com/Minenash/TinyConfig*/
public class ExampleConfig implements JfConfig {
    @Entry
    public static boolean boolTest = false;

    @Entry(min = 5)
    public static int intTest = 20;

    @Entry
    public static double decimalTest = 20;

    @Entry(dynamicTooltip = "dieStrTooltip", max = 5)
    public static String dieStr = "lolz";

    @Entry
    public static Test enumTest = Test.Test;

    private static List<Text> dieStrTooltip(List<EntryInfo> infos) {
        return Collections.singletonList(new LiteralText("safbjkasf"));
    }

    public enum Test {
        Test, ER
    }
}
