package io.gitlab.jfronny.libjf.config;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface Entry {
    String dynamicTooltip() default "";
    int width() default 100;
    double min() default Double.MIN_NORMAL;
    double max() default Double.MAX_VALUE;
}